/*===================================
		Copyright Yakibomb
*///=================================

/*
	Base Bob
	- Bob does stuff. He gets things done.
	- Works on all entities.
*/

class Base_Bob extends VSConds_Base
{
/*	These are conditions settings you can use to check entity states.
	NOTE: These are the default values.
	
	removedByDeath = true;			//Does death remove the condition? (checks if m_lifeState != 0 )
	removedByResupply = true;		//Players only: Does resupply remove the condition?
	removedByTeamChange = true;		//Players only: Does changing teams remove the condition?
	removedByClassChange = true;	//Players only: Does changing tfclasses remove the condition?
	removedByCommand = true;		//Can RemoveVSCond() clear this condition?
	addcondIgnoreDeathState = false;	// Can AddVSCond() still apply condition when target is considered dead? *Useful for Engie buildings being ignored by bots when netprop "m_lifeState" = 1.
*/

	function AddCond() { 
	/*  Available variables to read from this class
	
		condition_name == condition's string name,
		condition == condition's ID number,

		entity == entity handle with applied condition,
		entity_scope == Entity's scope,

		provider == provider handle (worldspawn by default),
		provider_scope == Provider's scope,
		
		use_think_script == reads `true` if Think() function available in extended class,
		think_ent == Condition's think script entity,
		think_ent_scope == think script entity's scope
	*/
	
	}
	
	function Think() {
	/*	Use these within entire class
		PauseThink()	//Pauses think script to be started later
		UnpauseThink()	//Unpauses think script
		RemoveThink()	//Removes think script. Can be used within same think script.
	*/
	}
	
	function RemoveCond() { }
}

// Make the class a string (put in quotes) for the game to add to VSConds conditions list
	VSCONDS_ADD_CONDITION("Base_Bob");